# vue-pxtorem

vue-pxtorem is a plugin for [vue.js](http://vuejs.org/)

### how to use

```js
import RemPlugin from 'vue-pxtorem';

Vue.use(RemPlugin, {
  pxToRem?: number // default 75px = 1rem
});

new Vue({...});
```
`Notice` this plugin esm format only and it will take effect automatic.

If you want some components disable rem, plz use `this.$rem(false)` in lifecycle method beforeCreate().
```js
beforeCreate() {
  this.$rem(false);
}
```

The easy way to transform px2rem, try this postcss plugin [postcss-pxtorem](https://www.npmjs.com/package/postcss-pxtorem).